﻿using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.Encodings.ParameterConfigurationEncoding.Views {
  /// <summary>
  /// used to display messages in a viewhost
  /// </summary>
  public class MessageItem : NamedItem {
    public override bool CanChangeDescription { get { return !initialized; } }
    public override bool CanChangeName { get { return !initialized; } }
    private bool initialized = false;

    public MessageItem() {
      this.Name = "MessageItem";
    }
    public MessageItem(string message)
      : this() {
      this.Name = message;
      this.Description = "This item represents a message to the user.";
      this.initialized = true;
    }
    protected MessageItem(MessageItem original, Cloner cloner)
      : base(original, cloner) {
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new MessageItem();
    }
  }
}
